/****************************************************************
* Modul:   TA.BA_MMT.HS1301 - Multimedia Technik (MMT)
* Subject: Processing - Uebung 8 - Pipette
* Author:  Felix Rohrer
* Desc:    Bild anzeigen und Farbton der Mausposition auslesen
****************************************************************/

PImage img;

// ----- setup() ------------------------------------------------
void setup()
{
  size(951, 315);  // frame size
  background(255);  // white
  smooth();         // use anti-aliasing
  frameRate(20);    // 20 frames per sec
  
  //noStroke();
  colorMode(RGB);
  
  // load & show Image
  img = loadImage("HSLUTA.jpg");
  image(img, 0, 0);
}

// ----- draw() -------------------------------------------------
void draw()
{
  // nothing
}

// ----- mouseMoved() -------------------------------------------
void mouseMoved() {
  // get Color @MousePos
  color c = get(mouseX, mouseY);
  fill(c);
  rect(851 + 25, 25, 50, 50);
}

// ----- mousePressed() -----------------------------------------
void mousePressed() {
  // get Color @MousePos & save
  color c = get(mouseX, mouseY);
  fill(c);
  rect(851 + 25, 100, 50, 50);
}


