package ueb082pipette;

import processing.core.PApplet;
import processing.core.PImage;


@SuppressWarnings("serial")
public class Ueb082Pipette extends PApplet {

	private PImage img;
	
	public void setup() {
		background(255);
		
		img = loadImage("HSLUTA.jpg");
		size(img.width + 100, img.height);
		
		image(img, 0, 0);
		rect(img.width + 25, 25, 50, 50);
		rect(img.width + 25, 100, 50, 50);
		
		noLoop();
	}

	public void draw() {
		// do nothing
	}
	
	public void mouseMoved() {
	  // get Color @MousePos
	  int c = get(mouseX, mouseY);
	  fill(c);
	  rect(img.width + 25, 25, 50, 50);
	  
	  redraw();
	}

	public void mousePressed() {
	  // get Color @MousePos & save
	  int c = get(mouseX, mouseY);
	  fill(c);
	  rect(img.width + 25, 100, 50, 50);
	  
	  redraw();
	}
	
}
